function likeThis($post_id,$action = 'get') {

	if(!is_numeric($post_id)) {
		error_log("خطا : مقدار عددي براي post_id ارسال نشده است");
		return;
	}

	switch($action) {
	
	case 'get':
		$data = get_post_meta($post_id, '_likes');
		
		if(!is_numeric($data[0])) {
			$data[0] = 0;
			add_post_meta($post_id, '_likes', '0', true);
		}
		
		return $data[0];
	break;
	
	
	case 'update':
		if(isset($_COOKIE["like_" . $post_id])) {
			return;
		}
		
		$currentValue = get_post_meta($post_id, '_likes');
		
		if(!is_numeric($currentValue[0])) {
			$currentValue[0] = 0;
			add_post_meta($post_id, '_likes', '1', true);
		}
		
		$currentValue[0]++;
		update_post_meta($post_id, '_likes', $currentValue[0]);
		
		setcookie("like_" . $post_id, $post_id,time()+(60*60*24*365));
	break;

	}

}

function mw_Likes($post_id) {
	$likes = likeThis($post_id);
	
	$who = ' بار پسنديده شده است ';
	
	if($likes == 1) {
		$who = ' بار پسنديده شده است ';
	}
	
	if(isset($_COOKIE["like_" . $post_id])) {
	print '<a href="#" class="likeThis done" id="like-'.$post_id.'">'.$likes.$who.'</a>';
		return;
	}

	print '<a href="#" class="likeThis" id="like-'.$post_id.'">'.$likes.$who.'</a>';
}


function setUpPostLikes($post_id) {
	if(!is_numeric($post_id)) {
		error_log("خطا : مقدار عددي براي post_id ارسال نشده است");
		return;
	}
	
	
	add_post_meta($post_id, '_likes', '0', true);

}


function checkHeaders() {
	if(isset($_POST["likepost"])) {
		likeThis($_POST["likepost"],'update');
	}

}


function jsIncludes() {
	wp_enqueue_script('jquery');
	
	wp_register_script('Mw-likesScript',
	 get_template_directory_uri(). '/js/Mw-likesScript.js' );
	wp_enqueue_script('Mw-likesScript',array('jquery'));

}

add_action ('publish_post', 'setUpPostLikes');
add_action ('init', 'checkHeaders');
add_action ('get_header', 'jsIncludes');